MACRO(OZULIS_FLEX NAME)
ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.hh
         ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.cc
  COMMAND flex
  ARGS --bison-locations
       --bison-bridge
       --never-interactive
       --header-file=${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.hh
       -o ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.cc
       ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.l
  DEPENDS ${NAME}.l
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
ENDMACRO(OZULIS_FLEX)
